#include <string.h>
#include <windows.h>
#include "StringInputForm.h"

using namespace System::Runtime::InteropServices;



void MarshalString ( System::String ^ s, char* strBuf ) {
   const char* chars = 
	   (const char*)(Marshal::StringToHGlobalAnsi(s)).ToPointer();
  
   strcpy(strBuf, chars);
   Marshal::FreeHGlobal(System::IntPtr((void*)chars));
}



void startGUI() {
	::Application::Run(gcnew StringOut::StringInputForm());
}

void stopGUI() {
	::Application::OpenForms[0]->Close();
}

int GetString(char* string, int bufferSize) {

	if(Application::OpenForms->Count == 0) return 0;

	StringOut::StringInputForm^ myForm = 
		(StringOut::StringInputForm^)Application::OpenForms[0];

	return myForm->getString(string, bufferSize);
}